置顶的eclipse调试问题

2020-05-07 08:52:01
9
162

我刚从官网下载的NucleiStudioIde,下载的压缩包里面自带toolchain,并且包括 openocd ,gcc,buildtool,而且可执行文件是riscv-none-embed开头的,这些个toolchain是哪一款soc的,n200系列的吗?官网上最新的那些toolchain是支持哪些系列的?


用户评论 (9)
  • 领主文

    2020-05-10 10:43:49 领主文 1#

    伊修加德柠檬

    没事,我是之前申请的n201,里面的手册文档写的是官方发布的那个ide,不知道为什么n201现在没有了,是改成了n100系列了吗

    官网有各个系列对应的配置,估计n201的配置整合到其他的里面了吧。

  • 伊修加德柠檬

    2020-05-10 10:41:28 伊修加德柠檬 2#

    领主文

    要是用n系列的话推荐用segger embedded studio

    没事,我是之前申请的n201,里面的手册文档写的是官方发布的那个ide,不知道为什么n201现在没有了,是改成了n100系列了吗

  • 领主文

    2020-05-10 10:39:08 领主文 3#

    伊修加德柠檬

    谢谢,主要是里面没有写适用soc型号,真的建议里面加个readme文件说明一下适用型号

    要是用n系列的话推荐用segger embedded studio

  • 伊修加德柠檬

    2020-05-10 10:38:18 伊修加德柠檬 4#

    XQS0927

    你用的是E203吗?如果是的话,这个toolchain应该是可以的。

    我用RISC-V官网下载的8.2.0版本的工具链编译调试E203是可以的,看你发的截图,目测是同一版本。

    谢谢,主要是里面没有写适用soc型号,真的建议里面加个readme文件说明一下适用型号

  • 伊修加德柠檬

    2020-05-10 10:37:25 伊修加德柠檬 5#

    领主文

    可以用呀,工具链和SoC什么配套对应就行

    谢谢,主要就是芯来产品线还挺多的,而工具链也没有明确表示适用的soc型号,官网下载那里有工具链下载,但是ide的压缩包里面又自带一个工具链文件,以前的蜂鸟还有在百度云和github上的工具链,应该不可能完全一样全部通用吧

  • 领主文

    2020-05-10 10:11:45 领主文 6#

    可以用呀,工具链和SoC什么配套对应就行

  • XQS0927

    2020-05-09 09:50:21 XQS0927 7#

    你用的是E203吗?如果是的话,这个toolchain应该是可以的。

    我用RISC-V官网下载的8.2.0版本的工具链编译调试E203是可以的,看你发的截图,目测是同一版本。

  • 伊修加德柠檬

    2020-05-07 09:04:25 伊修加德柠檬 8#

    有人测试过置顶贴eclipse联合方法(nuclei ide加旧toolchain)可以实现吗?我的蜂鸟开发板在学校,试不了,哭了

  • 伊修加德柠檬

    2020-05-07 08:58:18 伊修加德柠檬 9#


关注我们

微信扫码登录 点击刷新二维码